Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.modules.java.project/1 1.8.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.spi.java.project.classpath
Interface ProjectClassPathExtender

    public interface ProjectClassPathExtender

Interface for project's compile classpath extension. A project can provide this interface in its `lookup` to allow clients to extend its compilation classpath by a new classpath element (JAR, folder, dependent project, or library).

Since:
  org.netbeans.modules.java.project/1 1.3

Method Summary
`boolean` | `addAntArtifact(AntArtifact artifact, URI artifactElement)` Adds an artifact (e.g.
`boolean` | `addArchiveFile(FileObject archiveFile)` Adds an archive file or folder into the project's compile classpath if the entry is not already there.
`boolean` | `addLibrary(Library library)` Adds a library into the project's compile classpath if the library is not already included.

Method Detail

### addLibrary

    boolean addLibrary(Library library)
                       throws IOException

  Adds a library into the project's compile classpath if the library is not already included.

  Parameters:
    `library` - to be added
  Returns:
    true in case the classpath was changed
  Throws:
    `IOException` - in case the project metadata cannot be changed

### addArchiveFile

    boolean addArchiveFile(FileObject archiveFile)
                           throws IOException

  Adds an archive file or folder into the project's compile classpath if the entry is not already there.

  Parameters:
    `archiveFile` - ZIP/JAR file to be added
  Returns:
    true in case the classpath was changed
  Throws:
    `IOException` - in case the project metadata cannot be changed

### addAntArtifact

    boolean addAntArtifact(AntArtifact artifact,
                           URI artifactElement)
                           throws IOException

  Adds an artifact (e.g. subproject) into project's compile classpath if the artifact is not already on it.

  Parameters:
    `artifact` - to be added
    `artifactElement` - the URI of the build output (must be owned by the artifact and be relative to it)
  Returns:
    true in case the classpath was changed
  Throws:
    `IOException` - in case the project metadata cannot be changed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.modules.java.project/1 1.8.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.